package com.fs.store.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 评论对象 fs_store_product_reply
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreProductReply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评论ID */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 产品id */
    @Excel(name = "产品id")
    private Long productId;

    /** 某种商品类型(普通商品、秒杀商品） */
    @Excel(name = "某种商品类型(普通商品、秒杀商品）")
    private String replyType;

    /** 商品分数 */
    @Excel(name = "商品分数")
    private Integer productScore;

    /** 服务分数 */
    @Excel(name = "服务分数")
    private Integer serviceScore;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String comment;

    /** 评论图片 */
    @Excel(name = "评论图片")
    private String pics;

    /** 管理员回复内容 */
    @Excel(name = "管理员回复内容")
    private String replyContent;

    /** 管理员回复时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "管理员回复时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date replyTime;

    /** 0未删除1已删除 */
    @Excel(name = "0未删除1已删除")
    private Integer isDel;

    /** 0未回复1已回复 */
    @Excel(name = "0未回复1已回复")
    private Integer isReply;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setReplyType(String replyType) 
    {
        this.replyType = replyType;
    }

    public String getReplyType() 
    {
        return replyType;
    }
    public void setProductScore(Integer productScore) 
    {
        this.productScore = productScore;
    }

    public Integer getProductScore() 
    {
        return productScore;
    }
    public void setServiceScore(Integer serviceScore) 
    {
        this.serviceScore = serviceScore;
    }

    public Integer getServiceScore() 
    {
        return serviceScore;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setPics(String pics) 
    {
        this.pics = pics;
    }

    public String getPics() 
    {
        return pics;
    }


    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Date getReplyTime() {
        return replyTime;
    }

    public void setReplyTime(Date replyTime) {
        this.replyTime = replyTime;
    }

    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setIsReply(Integer isReply) 
    {
        this.isReply = isReply;
    }

    public Integer getIsReply() 
    {
        return isReply;
    }

}
